# loki.transformations.tests.test_pragma_model

Functions

`check_pragma`(pragma, keyword, content[, ...]) |
`test_transform_pragma_model`(tmp_path, ...) | Test Pragma model trafo for different directives/flavors.

check_pragma(pragma, keyword, content, check_for_equality=True)

test_transform_pragma_model(tmp_path, frontend, directive, keep_loki_pragmas)

  Test Pragma model trafo for different directives/flavors.